Skip to content

API Reference

Check if a transaction alert exists

GET /v2/transaction_alert https://api.cable.tech

Authentication

  • Bearer token in the Authorization header transaction_alert:read

Query parameters

  • alert_id string required

    The unique identifier of the transaction alert

Responses

200 Transaction alert exists

  • alert_id string

    The unique identifier of the transaction alert

  • first_seen string

    This represents the earliest timestamp associated with the transaction alert

    Format date-time

  • last_seen string

    This represents the latest timestamp associated with the transaction alert

    Format date-time

  • organization_id string

    The organization ID for which the transaction alert was found

Errors

  • 401 Unauthorized request
  • 404 Transaction alert does not exist
  • 429 Rate limit exceeded
  • 500 Server error
  • default General error

Error body 401404429500default

  • code integer required

    Format int32

  • message string required
  • errors list of objects

    Detailed information about errors in specific fields.

    • field string
    • message string